using System;

namespace ConsoleApp1
{
    class Program
    {
        static void Main(string[] args)
        {
            int n = int.Parse(Console.ReadLine());

            int[] a = new int[n];
            string[] st = Console.ReadLine().Split();
            for(int i = 0; i < n; i++)
            {
                a[i] = int.Parse(st[i]);
            }

            int q = int.Parse(Console.ReadLine());
            bool[] resenja = new bool[q];

            for(int i = 0; i < q; i++)
            {
                st = Console.ReadLine().Split();
                int x = int.Parse(st[0]);
                int y = int.Parse(st[1]);

                if(x == y)
                {
                    resenja[i] = true;
                }

                else
                {
                    int brojac = 0;
                    for (int j = x - 1; j < y - 1; j++)
                    {
                        if (a[j] > a[j + 1])
                            brojac++;
                    }

                    if (brojac > 1)
                        resenja[i] = false;
                    else
                        resenja[i] = true;
                }
            }

            for(int i = 0; i < q; i++)
            {
                if (resenja[i])
                    Console.WriteLine("DA");
                else
                    Console.WriteLine("NE");
            }
        }
    }
}